Delete an invoice

Prev Next
Delete
/v1/invoices/{invoiceId}

Permanently deletes an invoice by ID.

Restrictions:

  • Cannot delete invoices that are fully approved.
Security
HTTP
Type bearer

Enter your API token.

Path parameters
invoiceId
integerRequired

The unique identifier of the invoice to delete.

Minimum1
Responses
200

Invoice deleted successfully

success

Success

{
  "status": "OK",
  "msg": "Record deleted",
  "result": null
}
object
status
string
Valid values[ "OK" ]
msg
string
result
400

Bad Request - Invalid invoice ID or delete not allowed

fullyApproved

Fully Approved

{
  "status": "Error",
  "msg": "Record is fully approved and can not be deleted.",
  "result": null
}
deleteFailed

Delete Failed

{
  "status": "Error",
  "msg": "Unable to delete record.",
  "result": null
}
object
status
string
Valid values[ "Error" ]
msg
string
result
401

Unauthorized - Missing or invalid API token

404

Invoice not found

notFound

Not Found

{
  "status": "Error",
  "msg": "Invoice ID not found",
  "result": null
}
object
status
string
Valid values[ "Error" ]
msg
string
result
500

Internal Server Error - Unable to process retrieved records

processingError

Processing Error

{
  "status": "Error",
  "msg": "Unable to process retrieved records.",
  "result": null
}
object
status
string
Valid values[ "Error" ]
msg
string
result